# $Revision: 1.39 $, $Date: 2009/03/14 12:42:09 $
Summary:	RADIUS Server
Summary(es.UTF-8):	Servidor RADIUS con muchas funciones
Summary(pl.UTF-8):	Serwer RADIUS
Summary(pt_BR.UTF-8):	Servidor RADIUS com muitas funcoes
Name:		radiusd-cistron
Version:	1.6.8
Release:	1
License:	GPL
Group:		Networking/Daemons/Radius
Source0:	ftp://ftp.radius.cistron.nl/pub/radius/%{name}-%{version}.tar.gz
# Source0-md5:	66709d6db81f5f77db82de27fe42c700
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-prefix.patch
Patch2:		%{name}-pid.patch
Patch3:		%{name}-makefile.patch
URL:		http://www.radius.cistron.nl/
BuildRequires:	pam-devel >= 0.77.3
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils
Requires:	logrotate
Requires:	pam >= 0.77.3
Provides:	radius
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	radius

%description
RADIUS server with a lot of functions. Short overview:

- PAM support,
- Supports access based on huntgroups,
- Multiple DEFAULT entries in users file,
- All users file entries can optionally "fall through",
- Caches all config files in-memory,
- Keeps a list of logged in users (radutmp file),
- "radwho" program can be installed as "fingerd",
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles,
- Supports Simultaneous-Use = X parameter. Yes, this means that you
  can now prevent double logins!.

%description -l es.UTF-8
Servidor RADIUS con muchas funciones. Visión general:

- Soporta acceso basado en huntgroups,
- Múltiples entradas POR DEFECTO en el archivo de usuarios,
- Hace el caché de todos los archivos de configuración en memoria,
- Mantienen una lista de los usuarios conectados (archivo radutmp),
- El programa radwho puede ser instalado como fingerd,
- Registra tanto en el formato UNIX wtmp como en el RADIUS detail
- Soporta el parámetro Simultaneous-Use = X. ¡Sí!, esto significa que
  puedes evitar logins duplos.

%description -l pl.UTF-8
Serwer RADIUS z wieloma funkcjami. W skrócie:

- obsługa PAM,
- obsługa dostępu bazująca na huntgroups,
- wiele wpisów DEFAULT w pliku users,
- wszystkie wpisy w pliku users mogą być opcjonalnie "fall through",
- buforuje wszystkie pliki konfiguracyjne w pamięci,
- trzyma listę zalogowanych użytkowników (plik radutmp),
- program radwho może być zainstalowany jako fingerd,
- loguje zarówno w uniksowym formacie wtmp i logach szczegółowych
  RADIUS,
- obsługuje parametr Simultaneous-Use = X - tak, w ten sposób możesz
  uniknąć podwójnego logowania!.

%description -l pt_BR.UTF-8
Servidor RADIUS com muitas funções. Visão geral:

- Suporta acesso baseado em huntgroups,
- Multiplas entradas DEFAULT no arquivo de usuarios,
- Faz cache de todos os arquivos de configuracão em memoria,
- Mantem uma lista dos usuarios conectados (arquivo radutmp),
- O programa radwho pode ser instalado como fingerd,
- Registra tanto no formato UNIX wtmp quanto no RADIUS detail,
- Suporta o parametro Simultaneous-Use = X. Sim, isto significa, que
  você pode evitar logins duplos!, inclusive com o Cyclades PathRas.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd src
%{__make} \
	CC="%{__cc}" \
	PAM="-DPAM" \
	PAMLIB="-lpam -ldl" \
	LCRYPT="-lcrypt" \
	CFLAGS="%{rpmcflags}"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{raddb,logrotate.d,rc.d/init.d,pam.d},var/log/radacct} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}}

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR="%{_bindir}" \
	SBINDIR="%{_sbindir}" \
	MANDIR="%{_mandir}" \
	RADIUS_DIR="%{_sysconfdir}/raddb"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/radius
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/radius

install raddb/* $RPM_BUILD_ROOT%{_sysconfdir}/raddb
install doc/builddbm.8rad $RPM_BUILD_ROOT%{_mandir}/man8/builddbm.5
install doc/clients.5rad $RPM_BUILD_ROOT%{_mandir}/man5/clients.5
install doc/naslist.5rad $RPM_BUILD_ROOT%{_mandir}/man5/naslist.5

touch $RPM_BUILD_ROOT/etc/pam.d/radius
touch $RPM_BUILD_ROOT/var/log/rad{utmp,wtmp,ius.log}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/radutmp /var/log/radwtmp
/sbin/chkconfig --add radius
if [ -f /var/lock/subsys/radius ]; then
	/etc/rc.d/init.d/radius restart >&2
else
	echo "Run \"/etc/rc.d/init.d/radius start\" to start radius daemon."
fi
touch /var/log/rad{utmp,wtmp,ius.log}
chmod 640 /var/log/rad{utmp,wtmp,ius.log}

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/init.d/radius stop >&2
	/sbin/chkconfig --del radius
fi

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,FAQ.txt,README*} todo/TODO
%attr(640,root,root) %config %verify(not md5 mtime size) %{_sysconfdir}/raddb/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/radius
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/radius
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/radius
%attr(750,root,root) %dir /var/log/radacct
%attr(750,root,root) %dir %{_sysconfdir}/raddb
%attr(640,root,root) %ghost /var/log/radutmp
%attr(640,root,root) %ghost /var/log/radwtmp
%attr(640,root,root) %ghost /var/log/radius.log
%dir %{_datadir}/radius
%{_datadir}/radius/dictionary.*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: radiusd-cistron.spec,v $
Revision 1.39  2009/03/14 12:42:09  duddits
- up to 1.6.8
- buff_over_fix.patch obsolete
- updated: DESTDIR.patch, makefile.patch
- new pid.patch for: "error: static declaration of 'radius_pid'
follows non-static declaration"
- %files

Revision 1.38  2008/10/24 14:48:08  blues
- Group fixed

Revision 1.37  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.35  2005/06/14 11:32:47  zbyniu
- BR: pam-devel; sorted verify() flags

Revision 1.34  2004/09/26 21:34:31  kolodko
- added macros in /etc/logrotate.d

Revision 1.33  2004/08/18 08:23:57  zagrodzki
- updated logrotate config
- rel 7

Revision 1.32  2004/02/06 13:35:59  zagrodzki
- rel 6 (updated .init file)

Revision 1.31  2003/12/27 00:27:05  ankry
- rel. 5

Revision 1.30  2003/09/26 14:24:39  baggins
- release 4

Revision 1.29  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.28  2003/07/10 07:57:09  qboosh
- simplified

Revision 1.27  2003/07/09 17:57:27  misi3k
- added makefile patch - pam install fix

Revision 1.26  2003/07/09 17:19:03  blues
- cosmetics

Revision 1.25  2003/07/09 16:47:34  misi3k
- rel 3
- added security patch
BUG:
buffer overflow in NAS-PORT,
that allows execute arbitrary code
on server.

Revision 1.24  2003/05/28 13:01:36  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:26:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/05/08 08:02:20  kloczek
- release 2: bump release for ra-updates-general.

Revision 1.21  2003/03/25 22:01:10  kloczek
- merge prefix patch from MDK,
- fixed linking radiusd (added missing LCRYPT="-lcrypt" make parameter).

Revision 1.20  2003/03/25 21:52:47  kloczek
- added logrotate to Requires list.

Revision 1.19  2003/03/25 21:36:08  kloczek
- touch /var/log/rad{utmp,wtmp,ius.log} %ghost files in %post,
- cosmetics.

Revision 1.18  2002/08/10 11:32:08  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/08/10 11:20:19  misiek
- updated to 1.6.6

Revision 1.16  2002/04/02 19:25:13  alchemyx
- changed name of initscript from *.initd to *.init

Revision 1.15  2002/02/23 04:32:20  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/25 12:49:04  qboosh
- Prereq: /sbin/chkconfig
- updated URL, added Source URL (note: there is 1.6.4 on ftp - upgrade?)
- pl description
- release 2

Revision 1.11  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.7  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.6  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.3  1999/12/13 21:43:37  alchemyx
- changed name of logrotate

Revision 1.2  1999/11/29 11:20:55  waszi
- small fixes

Revision 1.1  1999/11/10 12:21:43  waszi
- initial release
